package com.chenyang.nse.bussiness.performance_monitor.entity;

import java.util.List;

public class PerformanceMonitorResVO {
   String tid;
   String appName;
   String datasystemAddr;
   String datasystemName;
   String proxyAddr;
   String proxyServerName;
   String conschema;
   String appUser;
   String dbUser;
   String sql;
   String reqTime;
   String resTime;
   long timeDiff;
   List<PerformanceMonitorDetailEntity> details;
   List<PerformanceMonitorDashBoardDetailEntity> detailsDashBoard;

   public String getTid() {
      return this.tid;
   }

   public String getAppName() {
      return this.appName;
   }

   public String getDatasystemAddr() {
      return this.datasystemAddr;
   }

   public String getDatasystemName() {
      return this.datasystemName;
   }

   public String getProxyAddr() {
      return this.proxyAddr;
   }

   public String getProxyServerName() {
      return this.proxyServerName;
   }

   public String getConschema() {
      return this.conschema;
   }

   public String getAppUser() {
      return this.appUser;
   }

   public String getDbUser() {
      return this.dbUser;
   }

   public String getSql() {
      return this.sql;
   }

   public String getReqTime() {
      return this.reqTime;
   }

   public String getResTime() {
      return this.resTime;
   }

   public long getTimeDiff() {
      return this.timeDiff;
   }

   public List<PerformanceMonitorDetailEntity> getDetails() {
      return this.details;
   }

   public List<PerformanceMonitorDashBoardDetailEntity> getDetailsDashBoard() {
      return this.detailsDashBoard;
   }

   public void setTid(final String tid) {
      this.tid = tid;
   }

   public void setAppName(final String appName) {
      this.appName = appName;
   }

   public void setDatasystemAddr(final String datasystemAddr) {
      this.datasystemAddr = datasystemAddr;
   }

   public void setDatasystemName(final String datasystemName) {
      this.datasystemName = datasystemName;
   }

   public void setProxyAddr(final String proxyAddr) {
      this.proxyAddr = proxyAddr;
   }

   public void setProxyServerName(final String proxyServerName) {
      this.proxyServerName = proxyServerName;
   }

   public void setConschema(final String conschema) {
      this.conschema = conschema;
   }

   public void setAppUser(final String appUser) {
      this.appUser = appUser;
   }

   public void setDbUser(final String dbUser) {
      this.dbUser = dbUser;
   }

   public void setSql(final String sql) {
      this.sql = sql;
   }

   public void setReqTime(final String reqTime) {
      this.reqTime = reqTime;
   }

   public void setResTime(final String resTime) {
      this.resTime = resTime;
   }

   public void setTimeDiff(final long timeDiff) {
      this.timeDiff = timeDiff;
   }

   public void setDetails(final List<PerformanceMonitorDetailEntity> details) {
      this.details = details;
   }

   public void setDetailsDashBoard(final List<PerformanceMonitorDashBoardDetailEntity> detailsDashBoard) {
      this.detailsDashBoard = detailsDashBoard;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof PerformanceMonitorResVO)) {
         return false;
      } else {
         PerformanceMonitorResVO other = (PerformanceMonitorResVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$tid = this.getTid();
            Object other$tid = other.getTid();
            if (this$tid == null) {
               if (other$tid != null) {
                  return false;
               }
            } else if (!this$tid.equals(other$tid)) {
               return false;
            }

            Object this$appName = this.getAppName();
            Object other$appName = other.getAppName();
            if (this$appName == null) {
               if (other$appName != null) {
                  return false;
               }
            } else if (!this$appName.equals(other$appName)) {
               return false;
            }

            Object this$datasystemAddr = this.getDatasystemAddr();
            Object other$datasystemAddr = other.getDatasystemAddr();
            if (this$datasystemAddr == null) {
               if (other$datasystemAddr != null) {
                  return false;
               }
            } else if (!this$datasystemAddr.equals(other$datasystemAddr)) {
               return false;
            }

            Object this$datasystemName = this.getDatasystemName();
            Object other$datasystemName = other.getDatasystemName();
            if (this$datasystemName == null) {
               if (other$datasystemName != null) {
                  return false;
               }
            } else if (!this$datasystemName.equals(other$datasystemName)) {
               return false;
            }

            Object this$proxyAddr = this.getProxyAddr();
            Object other$proxyAddr = other.getProxyAddr();
            if (this$proxyAddr == null) {
               if (other$proxyAddr != null) {
                  return false;
               }
            } else if (!this$proxyAddr.equals(other$proxyAddr)) {
               return false;
            }

            Object this$proxyServerName = this.getProxyServerName();
            Object other$proxyServerName = other.getProxyServerName();
            if (this$proxyServerName == null) {
               if (other$proxyServerName != null) {
                  return false;
               }
            } else if (!this$proxyServerName.equals(other$proxyServerName)) {
               return false;
            }

            Object this$conschema = this.getConschema();
            Object other$conschema = other.getConschema();
            if (this$conschema == null) {
               if (other$conschema != null) {
                  return false;
               }
            } else if (!this$conschema.equals(other$conschema)) {
               return false;
            }

            Object this$appUser = this.getAppUser();
            Object other$appUser = other.getAppUser();
            if (this$appUser == null) {
               if (other$appUser != null) {
                  return false;
               }
            } else if (!this$appUser.equals(other$appUser)) {
               return false;
            }

            Object this$dbUser = this.getDbUser();
            Object other$dbUser = other.getDbUser();
            if (this$dbUser == null) {
               if (other$dbUser != null) {
                  return false;
               }
            } else if (!this$dbUser.equals(other$dbUser)) {
               return false;
            }

            Object this$sql = this.getSql();
            Object other$sql = other.getSql();
            if (this$sql == null) {
               if (other$sql != null) {
                  return false;
               }
            } else if (!this$sql.equals(other$sql)) {
               return false;
            }

            Object this$reqTime = this.getReqTime();
            Object other$reqTime = other.getReqTime();
            if (this$reqTime == null) {
               if (other$reqTime != null) {
                  return false;
               }
            } else if (!this$reqTime.equals(other$reqTime)) {
               return false;
            }

            Object this$resTime = this.getResTime();
            Object other$resTime = other.getResTime();
            if (this$resTime == null) {
               if (other$resTime != null) {
                  return false;
               }
            } else if (!this$resTime.equals(other$resTime)) {
               return false;
            }

            if (this.getTimeDiff() != other.getTimeDiff()) {
               return false;
            } else {
               Object this$details = this.getDetails();
               Object other$details = other.getDetails();
               if (this$details == null) {
                  if (other$details != null) {
                     return false;
                  }
               } else if (!this$details.equals(other$details)) {
                  return false;
               }

               Object this$detailsDashBoard = this.getDetailsDashBoard();
               Object other$detailsDashBoard = other.getDetailsDashBoard();
               if (this$detailsDashBoard == null) {
                  if (other$detailsDashBoard != null) {
                     return false;
                  }
               } else if (!this$detailsDashBoard.equals(other$detailsDashBoard)) {
                  return false;
               }

               return true;
            }
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof PerformanceMonitorResVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $tid = this.getTid();
      result = result * 59 + ($tid == null ? 43 : $tid.hashCode());
      Object $appName = this.getAppName();
      result = result * 59 + ($appName == null ? 43 : $appName.hashCode());
      Object $datasystemAddr = this.getDatasystemAddr();
      result = result * 59 + ($datasystemAddr == null ? 43 : $datasystemAddr.hashCode());
      Object $datasystemName = this.getDatasystemName();
      result = result * 59 + ($datasystemName == null ? 43 : $datasystemName.hashCode());
      Object $proxyAddr = this.getProxyAddr();
      result = result * 59 + ($proxyAddr == null ? 43 : $proxyAddr.hashCode());
      Object $proxyServerName = this.getProxyServerName();
      result = result * 59 + ($proxyServerName == null ? 43 : $proxyServerName.hashCode());
      Object $conschema = this.getConschema();
      result = result * 59 + ($conschema == null ? 43 : $conschema.hashCode());
      Object $appUser = this.getAppUser();
      result = result * 59 + ($appUser == null ? 43 : $appUser.hashCode());
      Object $dbUser = this.getDbUser();
      result = result * 59 + ($dbUser == null ? 43 : $dbUser.hashCode());
      Object $sql = this.getSql();
      result = result * 59 + ($sql == null ? 43 : $sql.hashCode());
      Object $reqTime = this.getReqTime();
      result = result * 59 + ($reqTime == null ? 43 : $reqTime.hashCode());
      Object $resTime = this.getResTime();
      result = result * 59 + ($resTime == null ? 43 : $resTime.hashCode());
      long $timeDiff = this.getTimeDiff();
      result = result * 59 + (int)($timeDiff >>> 32 ^ $timeDiff);
      Object $details = this.getDetails();
      result = result * 59 + ($details == null ? 43 : $details.hashCode());
      Object $detailsDashBoard = this.getDetailsDashBoard();
      result = result * 59 + ($detailsDashBoard == null ? 43 : $detailsDashBoard.hashCode());
      return result;
   }

   public String toString() {
      return "PerformanceMonitorResVO(tid=" + this.getTid() + ", appName=" + this.getAppName() + ", datasystemAddr=" + this.getDatasystemAddr() + ", datasystemName=" + this.getDatasystemName() + ", proxyAddr=" + this.getProxyAddr() + ", proxyServerName=" + this.getProxyServerName() + ", conschema=" + this.getConschema() + ", appUser=" + this.getAppUser() + ", dbUser=" + this.getDbUser() + ", sql=" + this.getSql() + ", reqTime=" + this.getReqTime() + ", resTime=" + this.getResTime() + ", timeDiff=" + this.getTimeDiff() + ", details=" + this.getDetails() + ", detailsDashBoard=" + this.getDetailsDashBoard() + ")";
   }
}
